<?php
/**********
* blog.php
* Permet l'affichage sur une page des X dernières nouvelles - billets, courts messages de type blog -
* Il est nécessaire d'avoir créé ces nouvelles dans une catégorie dédiée,...
* ... et de les avoir rangées dans l'ordre chronologique ou antéchronologique dans l'admin de votre site
* ... voir ci-dessous rangement chono : 'non' (dernier de la liste = premier affiché) // 'oui' (premier de la liste = premier affiché)
* Adaptation et Intégration dans adHoc Jean-Denis https://adhoc.71site.fr décembre 2023 - janvier 2024
* Licence: GNU-GPL V3
***********/


// Construction de la page
require_once("include/config.inc");

// Fonctions
	function affichagedateS($date) { // date simple
	$pourdate = substr($date, 6, 2)."/".substr($date, 4, 2)."/".substr($date, 0, 4);
	return $pourdate;
	}

	function affichagedateC($date) { // date complète (avec heure)
	$pourdate = substr($date, 6, 2)."/".substr($date, 4, 2)."/".substr($date, 0, 4)." ".substr($date, 8, 2)."h".substr($date, 10, 2);
	return $pourdate;
	}

	function nettoyagenom($nom) { // nettoyage éventuel d'un titre
	if ($nom[0] == '"' && substr($nom, -1) == '"') //test présence de guillemets au début ET à la fin
	{$nom = substr($nom, 1, -1);} // ... les supprime le cas échéant
	return $nom;
	}

// Variables supplémentaires à régler
	$connex = 0; // 0 : accessible au visiteur // ou 1 : accessible après connexion
				 //(ATTENTION : Dans ce dernier cas -privé- n'oubliez pas de faire de même pour la boîte menu qui contient votre catégorie)
	$numcat = 4; // numéro de la catégorie que vous avez utilisée pour ranger vos nouvelles
	$nbnews = 6; // nombre de nouvelles à afficher // Si 0 (zéro) : affiche toutes les nouvelles
	$ordrechrono = 'non'; // rangement chono : 'non' (dernier de liste = premier affiché) // 'oui' (premier de liste = premier affiché)
	$cible = '_blank'; // cible du lien vers la nouvelle : '_blank' ou '_top' ou ...
	$affdate = 'oui'; // affichage date : 'oui' ou 'non'
	$SouC = 'C'; // si affichage date // 'S' : simple (sans heure) // 'C' : complète (date et heure)
	$coum = 4; // date création : 3 ou date dernière modification : 4
	$affauteur = 'oui'; // affichage auteur : 'oui' ou 'non'
	$overflow = 'non'; // mise en place ascenseur vertical si nécessaire et souhaité en cas de longue page : 'oui' ou 'non'
	$maxheight = 700; // hauteur en pixels avant ascenseur si mis en place

	// dont définition des variables de langue
	if (USER_LANG == 'fr') { // fr
	$meta['title'] = 'Service Blog-Nouvelles'; // titre
	$meta['description'] = 'Affichage des dernières nouvelles - blog'; // description
	$topmessX = 'Les '.$nbnews.' Derniers Billets' ; // nom de la page
	$topmess0 = 'Les Derniers Billets' ; // nom de la page si toutes les nouvelles sont affichées
	$prive = 'Désolé, cette page est en accès privé.'; // avertissement si privé
	}
	elseif (USER_LANG == 'it') { // it
	$meta['title'] = 'Servizio Blog-Notizie'; // titre
	$meta['description'] = 'Visualizzazione delle ultime notizie - blog'; // description
	$topmessX = 'Le '.$nbnews.' Ultime Notizie' ; // nom de la page
	$topmess0 = 'Le Ultime Notizie' ; // nom de la page si toutes les nouvelles sont affichées
	$prive = 'Spiacenti, questa pagina è riservata.'; // avertissement si privé
	}
	elseif (USER_LANG == 'en') { // en
	$meta['title'] = 'Blog-News Service'; // titre
	$meta['description'] = 'Displaying the latest news - blog'; // description
	$topmessX = 'The '.$nbnews.' Latest News' ; // nom de la page
	$topmess0 = 'The Latest News' ; // nom de la page si toutes les nouvelles sont affichées
	$prive = 'Sorry, this page is private.'; // avertissement si privé
	}

// identification langue : ne pas modifier
$idlg = USER_LANG;

// Vérification du statut de connexion !!Attention ne fonctionnera qu'avec le CMS adHoc!!
if (empty($_COOKIE['adHocUser'])) { // pas de connexion donc ne voit que ce qui est public
	$statconnex = 0 ;
	}
else { // connexion donc voit aussi l'affichage privé
	$statconnex = 1 ;
	}

// Elaboration contenu de la catégorie de nouvelles
$comptenbnouvelles = count(file('data/pages/pgidx_'.$numcat.$idlg.'.dbt')); // nombre de nouvelles dans la catégorie
$contenucatnouvelles = fopen( 'data/pages/pgidx_'.$numcat.$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette catégorie

for ($i=0; $i < $comptenbnouvelles ; $i++) {
	$lignenouvelle = fgets($contenucatnouvelles);
	$elem = explode(";", $lignenouvelle);
		for ($j=0; $j < 7;$j++) {
		$chaquenouvelle [$i][$j] = $elem[$j]; // création variables [nouvelle][élément] pour toutes les nouvelles
		}
	}
fclose($contenucatnouvelles); // fermeture fichier

	// suivi du test d'activité/inactivité de chaque nouvelle
$inactive = 0; // initialisation variable
for ($i=0; $i < $comptenbnouvelles ; $i++) {
	if ($chaquenouvelle [$i][2] == 'i') {$inactive = $inactive+1; continue;} // incrémente la variable et saute cette hypothèse
	for ($j=0; $j < 7;$j++) {
	$nouvelleactive [$i-$inactive][$j] = $chaquenouvelle [$i][$j]; // variables [nouvelle][élément] pour les nouvelles actives seulement
	}
}
$comptenbnouvelles = $comptenbnouvelles-$inactive; // Ajustement du nombre de nouvelles actives

// Ajustement de la demande d'affichage et du titre de la page
if ($nbnews > $comptenbnouvelles) {$nbnews = $comptenbnouvelles;} // test si demande affichage plus grand que nombre de nouvelles
if ($nbnews == 0 || $nbnews == $comptenbnouvelles) {$topmess = $topmess0; $nbnews = $comptenbnouvelles;} else {$topmess = $topmessX;} // choix du titre

// Début construction de la page
include_once(PATH_INC."hpage.inc");
echo '
<!-- Début affichage "Service Nouvelles-Blog" -->
';
htable($topmess, "100%");

// Affichage
if ($statconnex >= $connex) // vérification du statut avant affichage
{ // affichage public ou visiteur connecté
if ($overflow == 'oui') {echo '<div style="max-height:'.$maxheight.'px;padding-right:10px;overflow:auto">';} // test overflow
	for ($k=0; $k < $nbnews ; $k++) {
		if ($ordrechrono == 'non') {$var = $comptenbnouvelles-$k-1;} else {$var = $k;}
		include ('data/pages/page_'.$nouvelleactive [$var][0].$idlg.'.inc'); // inclusion fichier page concernée

		$titrenouvelle = nettoyagenom($nouvelleactive [$var][1]); // titre nouvelle

		echo '<h3><a href="pages/pages.php?pg='.$nouvelleactive [$var][0].'&lg='.$idlg.'" target="'.$cible.'">'.$titrenouvelle.'</a>'; // affichage titre/lien page
		if ($affdate == 'oui') { // test date
			if ($SouC == 'S')
				{$ladate = affichagedateS($nouvelleactive [$var][$coum]);} // date simple
			else
				{$ladate = affichagedateC($nouvelleactive [$var][$coum]);} // date complète
		echo '<span style="float:right;padding-right:40px;font-size:70%;"><i>'.$ladate.'</i></span></h3>'; // affichage date 
		} else { echo '</h3>'; }

		echo $ftxt; // affichage article
		echo '<br>';

		if ($affauteur == 'oui') { //test auteur
		echo '<p style="text-align:right;padding-right:40px;"><i>'.$fauth.'</i></p>'; // affichage auteur
		}
		echo '<br>';
		echo '<hr><hr>';
	}
} else { //privé
	echo $prive;
	echo '<br>';
	echo '<hr><hr>';
	}
if ($overflow == 'oui') {echo '</div><!-- fin overflow -->';} // fin overflow si mis en place

// Référencement SVP ne pas supprimer
echo '
<!-- "Service Nouvelles-Blog" - Jean-Denis https://adhoc.71site.fr décembre 2023 janvier 2024 - Licence: GNU-GPL V3 -->
';

// Fin contenu de la page
btable();
include_once(PATH_INC."bpage.inc");
die();
?>